# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/ProjectBrowserPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ProjectBrowserPage(object):
    def setupUi(self, ProjectBrowserPage):
        ProjectBrowserPage.setObjectName("ProjectBrowserPage")
        ProjectBrowserPage.resize(617, 709)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(ProjectBrowserPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=ProjectBrowserPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line8 = QtWidgets.QFrame(parent=ProjectBrowserPage)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line8.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line8.setObjectName("line8")
        self.verticalLayout_2.addWidget(self.line8)
        self.groupBox = QtWidgets.QGroupBox(parent=ProjectBrowserPage)
        self.groupBox.setObjectName("groupBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.pbHighlightedButton = QtWidgets.QPushButton(parent=self.groupBox)
        self.pbHighlightedButton.setMinimumSize(QtCore.QSize(100, 0))
        self.pbHighlightedButton.setText("")
        self.pbHighlightedButton.setObjectName("pbHighlightedButton")
        self.horizontalLayout.addWidget(self.pbHighlightedButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.pbGroup = QtWidgets.QGroupBox(parent=ProjectBrowserPage)
        self.pbGroup.setObjectName("pbGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.pbGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.label_6 = QtWidgets.QLabel(parent=self.pbGroup)
        self.label_6.setObjectName("label_6")
        self.hboxlayout.addWidget(self.label_6)
        self.projectTypeCombo = QtWidgets.QComboBox(parent=self.pbGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.projectTypeCombo.sizePolicy().hasHeightForWidth())
        self.projectTypeCombo.setSizePolicy(sizePolicy)
        self.projectTypeCombo.setObjectName("projectTypeCombo")
        self.hboxlayout.addWidget(self.projectTypeCombo)
        self.verticalLayout.addLayout(self.hboxlayout)
        self.projectBrowserListWidget = QtWidgets.QListWidget(parent=self.pbGroup)
        self.projectBrowserListWidget.setAlternatingRowColors(True)
        self.projectBrowserListWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.projectBrowserListWidget.setObjectName("projectBrowserListWidget")
        self.verticalLayout.addWidget(self.projectBrowserListWidget)
        self.verticalLayout_2.addWidget(self.pbGroup)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.followEditorCheckBox = QtWidgets.QCheckBox(parent=ProjectBrowserPage)
        self.followEditorCheckBox.setObjectName("followEditorCheckBox")
        self.gridLayout_2.addWidget(self.followEditorCheckBox, 0, 0, 1, 1)
        self.followCursorLineCheckBox = QtWidgets.QCheckBox(parent=ProjectBrowserPage)
        self.followCursorLineCheckBox.setObjectName("followCursorLineCheckBox")
        self.gridLayout_2.addWidget(self.followCursorLineCheckBox, 1, 0, 1, 1)
        self.autoPopulateCheckBox = QtWidgets.QCheckBox(parent=ProjectBrowserPage)
        self.autoPopulateCheckBox.setObjectName("autoPopulateCheckBox")
        self.gridLayout_2.addWidget(self.autoPopulateCheckBox, 1, 1, 1, 1)
        self.showHiddenCheckBox = QtWidgets.QCheckBox(parent=ProjectBrowserPage)
        self.showHiddenCheckBox.setObjectName("showHiddenCheckBox")
        self.gridLayout_2.addWidget(self.showHiddenCheckBox, 2, 0, 1, 1)
        self.verticalLayout_2.addLayout(self.gridLayout_2)
        spacerItem1 = QtWidgets.QSpacerItem(599, 21, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)

        self.retranslateUi(ProjectBrowserPage)
        QtCore.QMetaObject.connectSlotsByName(ProjectBrowserPage)
        ProjectBrowserPage.setTabOrder(self.pbHighlightedButton, self.projectTypeCombo)
        ProjectBrowserPage.setTabOrder(self.projectTypeCombo, self.followEditorCheckBox)
        ProjectBrowserPage.setTabOrder(self.followEditorCheckBox, self.followCursorLineCheckBox)
        ProjectBrowserPage.setTabOrder(self.followCursorLineCheckBox, self.autoPopulateCheckBox)

    def retranslateUi(self, ProjectBrowserPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("ProjectBrowserPage", "<b>Configure project viewer settings</b>"))
        self.groupBox.setTitle(_translate("ProjectBrowserPage", "Colors"))
        self.label.setText(_translate("ProjectBrowserPage", "Highlighted entries (Others):"))
        self.pbHighlightedButton.setToolTip(_translate("ProjectBrowserPage", "Select the color for highlighted entries in the Others viewer."))
        self.pbGroup.setTitle(_translate("ProjectBrowserPage", "Visible Project Browsers"))
        self.label_6.setText(_translate("ProjectBrowserPage", "Projecttype:"))
        self.projectTypeCombo.setToolTip(_translate("ProjectBrowserPage", "Select the project type to be configured"))
        self.projectBrowserListWidget.setSortingEnabled(True)
        self.followEditorCheckBox.setToolTip(_translate("ProjectBrowserPage", "Select to make the project browsers highlight the file of the current editor."))
        self.followEditorCheckBox.setText(_translate("ProjectBrowserPage", "Highlight file of current editor"))
        self.followCursorLineCheckBox.setToolTip(_translate("ProjectBrowserPage", "Select to follow the cursor line of the current editor"))
        self.followCursorLineCheckBox.setText(_translate("ProjectBrowserPage", "Follow cursor line of current editor"))
        self.autoPopulateCheckBox.setToolTip(_translate("ProjectBrowserPage", "Select to populate entries automatically when following the cursor line of the current editor"))
        self.autoPopulateCheckBox.setText(_translate("ProjectBrowserPage", "Populate entry when following the cursor line"))
        self.showHiddenCheckBox.setToolTip(_translate("ProjectBrowserPage", "Select to show hidden files in the various browsers"))
        self.showHiddenCheckBox.setText(_translate("ProjectBrowserPage", "Show hidden files"))
